package com.chinaitop.depot.intelligent.basicdata.service;

import com.chinaitop.depot.intelligent.basicdata.model.TNRoomInfo;

import java.util.List;

public interface NitrogenService {
    List<TNRoomInfo> getList(String rName);

    TNRoomInfo getById(String id);

    void save(String grainJson);

    int deleteById(String id, String basicRoomSetJson);

    boolean getBycfCode(String vdevcode, String vdevname);

    /**
     * 保存作业记录
     * @param type
     * @param ktinfoJson
     * @param uperson
     */
    void saveHistoryData(String type, String ktinfoJson, String uperson, Integer energy);

    String synchronizationAll(String orgId);
}
